Skip to main content
POST
/
beneficiary
Create Beneficiary
curl --request POST \
  --url https://api.sandbox.isometric.com/registry/v0/beneficiary \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-client-secret: <x-client-secret>' \
  --data '
{
  "beneficiary_domain": "<string>",
  "beneficiary_name": "<string>",
  "__typename": "CreateOrganizationBeneficiary"
}
'
import requests

url = "https://api.sandbox.isometric.com/registry/v0/beneficiary"

payload = {
"beneficiary_domain": "<string>",
"beneficiary_name": "<string>",
"__typename": "CreateOrganizationBeneficiary"
}
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-client-secret': '<x-client-secret>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
beneficiary_domain: '<string>',
beneficiary_name: '<string>',
__typename: 'CreateOrganizationBeneficiary'
})
};

fetch('https://api.sandbox.isometric.com/registry/v0/beneficiary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "domain": "isometric.com",
  "id": "org_1GB56M1ST1S0GVNA",
  "name": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Body

application/json
beneficiary_domain
string
required

Unique organization domain name for corporate beneficiaries. The domain is not displayed on the registry.

Maximum string length: 256
Example:

"acme.com"

beneficiary_name
string
required

A publicly visible name shown on the retirement certificate and registry

Maximum string length: 256
Example:

"Acme Corporation"

__typename
string
default:CreateOrganizationBeneficiary

Contains the name of the model (formally, OpenAPI Schema Object). Used to determine the type of data, for example when two different types are unioned.

Allowed value: "CreateOrganizationBeneficiary"

Response

Successful Response

domain
string | null
required
Example:

"isometric.com"

id
string
required
Required string length: 20 - 37
Examples:

"org_1GB56M1ST1S0GVNA"

"org_1CP8EQDNQSBXTMR2"

name
string
required
Example:

"Isometric"